	COMMON /errno_/
.2:
	DS 2
	CSEG
	COMMON /Sysvec_/
.3:
	DS 8
	CSEG
	COMMON /Cbuffs_/
.4:
	DS 121
	CSEG
	COMMON /Stdbufs_/
.5:
	DS 2
	CSEG
	COMMON /condev_/
.6:
	DS 6
	CSEG
	COMMON /bdosout_/
.7:
	DS 6
	CSEG
	COMMON /bdosin_/
.8:
	DS 6
	CSEG
	COMMON /filedev_/
.9:
	DS 6
	CSEG
	COMMON /devtabl_/
.10:
	DS 66
	CSEG
	COMMON /chantab_/
.11:
	DS 88
	CSEG
	COMMON /errno_/
	DS 2
	CSEG
	COMMON /dpb_type_/
.12:
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 3
	DB 7
	DB 0
	DW 255
	DW 63
	DB 192
	DB 0
	DW 16
	DW 0
	DB 16
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 4
	DB 15
	DB 0
	DW 255
	DW 127
	DB 192
	DB 0
	DW 32
	DW 0
	DB 32
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 4
	DB 15
	DB 0
	DW 511
	DW 255
	DB 240
	DB 0
	DW 64
	DW 0
	DB 64
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 4
	DB 15
	DB 0
	DW 1023
	DW 511
	DB 255
	DB 0
	DW 128
	DW 0
	DB 0
	DW 1
	DB 1
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 4
	DB 15
	DB 0
	DW 2047
	DW 1023
	DB 255
	DB 255
	DW 256
	DW 0
	DB 0
	DW 2
	DB 2
	DB 0
	DW 256
	DW 256
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 96
	DB 0
	DW 128
	DB 5
	DB 31
	DB 1
	DW 2047
	DW 1023
	DB 255
	DB 0
	DW 256
	DW 0
	DB 0
	DW 2
	DB 2
	CSEG
	COMMON /dpb_flop_/
.13:
	DB 0
	DW 256
	DW 256
	DB 68
	DB 48
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 32
	DB 0
	DW 52
	DB 4
	DB 15
	DB 0
	DW 242
	DW 127
	DB 192
	DB 0
	DW 32
	DW 2
	DB 32
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 83
	DB 48
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 0
	DB 0
	DW 26
	DB 3
	DB 7
	DB 0
	DW 242
	DW 63
	DB 192
	DB 0
	DW 16
	DW 2
	DB 16
	DW 0
	DB 1
	DB 0
	DW 256
	DW 256
	DB 77
	DB 48
	DB 32
	DB 32
	DB 32
	DB 32
	DB 32
	DB 0
	DB 0
	DB 160
	DB 0
	DW 32
	DB 5
	DB 31
	DB 0
	DW 156
	DW 127
	DB 128
	DB 0
	DW 32
	DW 3
	DB 0
	DW 1
	DB 1
	CSEG
	COMMON /curOS_/
.14:
	DB 0
	CSEG
	COMMON /localhd_/
.15:
	DS 2
	CSEG
	COMMON /floppy_/
.16:
	DS 2
	CSEG
	COMMON /floptype_/
.17:
	DS 2
	CSEG
	COMMON /donak_/
.18:
	DW 0
	CSEG
	COMMON /sendfail_/
.19:
	DW 0
	CSEG
	COMMON /fastuser_/
.20:
	DS 0
	CSEG
	COMMON /netcode_/
.21:
	DS 0
	CSEG
	COMMON /reclen_/
.22:
	DS 0
	CSEG
	COMMON /recmsg_/
.23:
	DS 0
	CSEG
	COMMON /hderror_/
.24:
	DS 0
	CSEG
	COMMON /h_dms_hd_/
.25:
	DS 0
	CSEG
	COMMON /hardstat_/
.26:
	DS 136
	CSEG
	COMMON /alloctab_/
.27:
	DS 128
	CSEG
	COMMON /assparm_/
.28:
	DS 4
	CSEG
	COMMON /biosptr_/
.29:
	DW 1
	CSEG
	COMMON /netmsg_/
.30:
	DS 2
	CSEG
	COMMON /CCPdisk_/
.31:
	DW 4
	CSEG
	COMMON /CCPdisks_/
.32:
	DS 1
	CSEG
	COMMON /dph_/
.33:
	DS 2
	CSEG
	COMMON /dmsdpb_/
.34:
	DS 2
	CSEG
	COMMON /dmsdpbt_/
.35:
	DS 2
	CSEG
	COMMON /dmsdpbs_/
.36:
	DS 2
	CSEG
	COMMON /savedpb_/
.37:
	DS 35
	CSEG
	COMMON /curdisk_/
.38:
	DS 2
	CSEG
	PUBLIC getbits_
getbits_:	CALL .zsav##
	DW .39
	LXI H,-1
	XCHG
	LXI H,16-.39
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .ls##
	CALL .cm##
	PUSH H
	LXI H,16-.39
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	XCHG
	LXI H,18-.39
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .sb##
	PUSH H
	LXI H,16-.39
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	POP H
	CALL .ur##
	POP D
	CALL .an##
	RET
.39 EQU 0
	PUBLIC MSAssign_
MSAssign_:	CALL .zsav##
	DW .40
	LXI H,1
	MOV A,L
	STA .14
	RET
.40 EQU 0
	PUBLIC CPAssign_
CPAssign_:	CALL .zsav##
	DW .41
	LXI H,0
	MOV A,L
	STA .14
	RET
.41 EQU 0
	PUBLIC PWAssign_
PWAssign_:	CALL .zsav##
	DW .42
	DSEG
.43:
	DB 0
	DB 255
	DB 0
	DB 0
	DB 255
	DB 0
	CSEG
	DSEG
.44:
	DB 1
	DB 67
	DB 0
	DB 0
	DB 224
	DB 0
	CSEG
	LXI H,0
	SHLD .16
	FUNC	userno_
	CALL userno_
	LXI D,255
	CALL .eq##
	JZ .45
	LXI H,1
	SHLD .15
	JMP .46
.45:
	LXI H,0
	SHLD .15
.46:
	LXI H,14-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	MOV E,M
	MVI D,0
	LXI H,58
	CALL .eq##
	JZ .47
	LXI H,14-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	MOV E,M
	MVI D,0
	LXI H,-27-.42
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,2
	XCHG
	LXI H,14-.42
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DAD D
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	JMP .48
.47:
	LXI H,120
	XCHG
	LXI H,-27-.42
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.48:
	LXI H,-27-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	JMP .49
.51:
	LXI H,1
	SHLD .15
	JMP .50
.52:
	LXI H,1
	SHLD .16
.53:
	LXI H,0
	SHLD .17
	LXI H,14-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	MOV E,M
	MVI D,0
	XCHG
	JMP .54
.56:
	LHLD .17
	INX H
	SHLD .17
	DCX H
.57:
	LHLD .17
	INX H
	SHLD .17
	DCX H
.58:
	LXI H,1
	SHLD .16
	LXI H,14-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	MOV E,M
	MVI D,0
	LXI H,48
	CALL .lt##
	JNZ .60
	LXI H,14-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	MOV E,M
	MVI D,0
	LXI H,55
	CALL .gt##
	JNZ .60
	LXI H,14-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	INX H
	MOV E,M
	MVI D,0
	LXI H,32
	CALL .ne##
	JZ .59
.60:
	LXI H,0
	SHLD .16
.59:
	JMP .55
.61:
	JMP .55
.54:
	CALL .swt##
	DW 3
	DW 77,.56
	DW 83,.57
	DW 68,.58
	DW .61
.55:
.62:
	JMP .50
.63:
	LXI H,6
	PUSH H
	LXI H,.43
	PUSH H
	LXI H,18-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	JMP .50
.64:
	LXI H,1
	RET
.49:
	CALL .swt##
	DW 5
	DW 72,.51
	DW 68,.52
	DW 78,.62
	DW 85,.63
	DW 77,.64
	DW .53
.50:
	LXI H,3
	XCHG
	LXI H,2-.42
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,32
	PUSH H
	LXI H,6
	PUSH H
	LXI H,-2-.42
	DAD SP
	PUSH H
	FUNC	clear_
	CALL clear_
	POP D
	POP D
	POP D
.65:
	LXI H,2-.42
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	INX H
	MOV A,H
	ORA L
	JZ .66
	LXI H,-25-.42
	DAD SP
	PUSH H
	LXI H,-4-.42
	DAD SP
	PUSH H
	LXI H,18-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,18-.42
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	MakAssig_
	CALL MakAssig_
	XCHG
	LXI H,8
	DAD SP
	SPHL
	LXI H,0-.42
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,0-.42
	DAD SP
	mov a,m
	inx h
	ora m
	JZ .68
	LXI H,0-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,2
	CALL .gt##
	JZ .67
.68:
	LXI H,0-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	RET
.67:
	LXI H,6
	PUSH H
	LXI H,-4-.42
	DAD SP
	PUSH H
	FUNC	PWInput_
	CALL PWInput_
	POP D
	POP D
	JNZ .69
	LXI H,1
	RET
.69:
	JMP .65
.66:
	LXI H,-25-.42
	DAD SP
	PUSH H
	LXI H,-4-.42
	DAD SP
	PUSH H
	LXI H,18-.42
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,18-.42
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	MakAssig_
	CALL MakAssig_
	XCHG
	LXI H,8
	DAD SP
	SPHL
	XCHG
	RET
.42 EQU -31
	PUBLIC PWInput_
PWInput_:	CALL .zsav##
	DW .70
	LXI H,.1+0
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
.71:
	LXI H,32
	PUSH H
	LXI H,16-.70
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.70
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	clear_
	CALL clear_
	POP D
	POP D
	POP D
	LXI H,12-.70
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,2-.70
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	LXI H,14-.70
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,-1-.70
	DAD SP
	MOV M,E
	INX H
	MOV M,D
.72:
	LXI H,-1-.70
	DAD SP
	mov a,m
	inx h
	ora m
	JZ .73
.74:
	LXI H,255
	PUSH H
	LXI H,6
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	LXI D,255
	CALL .an##
	XCHG
	LXI H,1-.70
	DAD SP
	MOV M,E
	MOV A,D
	ORA E
	JNZ .75
	JMP .74
.75:
	LXI H,1-.70
	DAD SP
	MOV E,M
	MVI D,0
	XCHG
	JMP .76
.78:
.79:
	LXI H,.1+17
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	LXI H,1
	RET
.80:
	JMP .71
.81:
	LXI H,.1+19
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	LXI H,0
	RET
.82:
.83:
	LXI H,2-.70
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,12-.70
	DAD SP
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	CALL .ne##
	JZ .84
	LXI H,32
	PUSH H
	LXI H,4-.70
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	POP D
	MOV M,E
	LXI H,-1-.70
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
.84:
	JMP .77
.85:
	LXI H,1-.70
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,4-.70
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
	POP D
	MOV M,E
	LXI H,-1-.70
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	DCX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	INX H
	JMP .77
.76:
	CALL .swt##
	DW 6
	DW 13,.78
	DW 10,.79
	DW 24,.80
	DW 3,.81
	DW 127,.82
	DW 8,.83
	DW .85
.77:
	JMP .72
.73:
.86:
.88:
	LXI H,255
	PUSH H
	LXI H,6
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	LXI D,255
	CALL .an##
	XCHG
	LXI H,-2-.70
	DAD SP
	MOV M,E
	MOV A,D
	ORA E
	JNZ .89
	JMP .88
.89:
	LXI H,-2-.70
	DAD SP
	MOV E,M
	MVI D,0
	LXI H,13
	CALL .eq##
	JNZ .91
	LXI H,-2-.70
	DAD SP
	MOV E,M
	MVI D,0
	LXI H,10
	CALL .eq##
	JZ .90
.91:
	LXI H,.1+22
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	LXI H,1
	RET
.90:
	LXI H,-2-.70
	DAD SP
	MOV E,M
	MVI D,0
	LXI H,24
	CALL .eq##
	JNZ .71
	JMP .86
.87:
	RET
.70 EQU -6
.1:
	DB 69,110,116,101,114,32,80,97,115,115,119,111,114,100,58
	DB 32,0,10,0,94,67,0,10,0
	PUBLIC P0Assign_
P0Assign_:	CALL .zsav##
	DW .93
	LHLD .34
	SHLD .35
	LXI H,12-.93
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	getdph_
	CALL getdph_
	POP D
	JNZ .94
	LXI H,1
	RET
.94:
	LHLD .34
	SHLD .36
	LXI H,31
	PUSH H
	LHLD .34
	PUSH H
	LXI H,.37
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,31
	PUSH H
	LXI H,.12
	PUSH H
	LHLD .34
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,0
	PUSH H
	LHLD .34
	LXI D,15
	DAD D
	POP D
	MOV M,E
	LXI H,0
	PUSH H
	LHLD .34
	POP D
	MOV M,E
	LXI H,14-.93
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	LHLD .34
	LXI D,13
	DAD D
	POP D
	MOV M,E
	LHLD .34
	RET
.93 EQU 0
	PUBLIC P0Unassi_
P0Unassi_:	CALL .zsav##
	DW .95
	LXI H,31
	PUSH H
	LXI H,.37
	PUSH H
	LHLD .36
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LHLD .35
	SHLD .34
	RET
.95 EQU 0
	PUBLIC userno_
userno_:	CALL .zsav##
	DW .96
	LDA 71
	MOV L,A
	MVI H,0
	RET
.96 EQU 0
	PUBLIC MakAssig_
MakAssig_:	CALL .zsav##
	DW .97
	LXI H,8
	PUSH H
	LXI H,16-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,22-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,6
	PUSH H
	LXI H,18-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,22-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,9
	DAD D
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,12-.97
	DAD SP
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	getdph_
	CALL getdph_
	POP D
	JNZ .98
	LXI H,1
	RET
.98:
	LXI H,14-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	MOV E,M
	MVI D,0
	MOV A,D
	ORA E
	JNZ .99
	LXI H,255
	PUSH H
	LHLD .34
	LXI D,14
	DAD D
	POP D
	MOV M,E
	LXI H,255
	PUSH H
	LHLD .34
	LXI D,15
	DAD D
	POP D
	MOV M,E
	LXI H,0
	RET
.99:
	LHLD .16
	MOV A,H
	ORA L
	JZ .100
	LXI H,31
	PUSH H
	LHLD .17
	LXI D,35
	CALL .ml##
	LXI D,.13
	DAD D
	PUSH H
	LHLD .34
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,14-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	MOV E,M
	MVI D,0
	LXI H,-48
	DAD D
	PUSH H
	LHLD .34
	LXI D,15
	DAD D
	POP D
	MOV M,E
	LXI H,8
	PUSH H
	LXI H,16-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LHLD .34
	LXI D,5
	DAD D
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	JMP .101
.100:
	LXI H,23
	PUSH H
	LXI H,20-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	POP D
	MOV M,E
	LXI H,18-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,15
	DAD D
	MOV B,H
	MOV C,L
	FUNC	nakpoll_
	CALL nakpoll_
	LXI H,18-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,15
	PUSH H
	LXI H,0
	PUSH H
	FUNC	sendnet_
	CALL sendnet_
	POP D
	POP D
	POP D
	PUSH B
	LXI H,4
	PUSH H
	FUNC	recnet_
	CALL recnet_
	POP D
	POP D
	JZ .102
	FUNC	ackpoll_
	CALL ackpoll_
	LXI H,1
	RET
.102:
	FUNC	ackpoll_
	CALL ackpoll_
	LDA .14
	MOV L,A
	MVI H,0
	PUSH H
	LXI H,3
	PUSH H
	LXI H,2
	PUSH H
	LXI H,24-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,17
	DAD D
	MOV E,M
	MVI D,0
	PUSH D
	FUNC	getbits_
	CALL getbits_
	POP D
	POP D
	POP D
	POP D
	CALL .ne##
	JZ .103
	LXI H,1
	RET
.103:
	LXI H,18-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,16
	DAD D
	MOV E,M
	MVI D,0
	LXI H,255
	CALL .eq##
	JZ .104
	LXI H,1
	RET
.104:
	LXI H,5
	PUSH H
	LXI H,.92+0
	PUSH H
	LHLD 6
	LXI D,15
	DAD D
	PUSH H
	FUNC	strncmp_
	CALL strncmp_
	POP D
	POP D
	POP D
	JNZ .105
	LXI H,35
	JMP .106
.105:
	LXI H,31
.106:
	PUSH H
	LXI H,20-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,15
	DAD D
	MOV E,M
	MVI D,0
	XCHG
	DCX H
	LXI D,35
	CALL .ml##
	LXI D,.12
	DAD D
	PUSH H
	LHLD .34
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,8
	PUSH H
	LXI H,20-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	PUSH H
	LHLD .34
	LXI D,5
	DAD D
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,18-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,16
	DAD D
	MOV E,M
	MVI D,0
	PUSH D
	LHLD .34
	LXI D,15
	DAD D
	POP D
	MOV M,E
	LXI H,18-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,17
	DAD D
	MOV E,M
	MVI D,0
	PUSH D
	LHLD .34
	POP D
	MOV M,E
	LXI H,18-.97
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,18
	DAD D
	MOV E,M
	MVI D,0
	PUSH D
	LHLD .34
	LXI D,13
	DAD D
	POP D
	MOV M,E
	LHLD .15
	MOV A,H
	ORA L
	JZ .107
	FUNC	hd_contr_
	CALL hd_contr_
	LXI D,88
	CALL .eq##
	JZ .108
	LXI H,192
	JMP .109
.108:
	LXI H,64
.109:
	PUSH H
	LHLD .34
	LXI D,14
	DAD D
	POP D
	MOV M,E
.107:
.101:
	LXI H,0
	RET
.97 EQU 0
.92:
	DB 72,73,68,79,83,0
	PUBLIC writemod_
writemod_:	CALL .zsav##
	DW .111
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.111
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	PUSH H
	LXI H,18-.111
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,7
	DAD D
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,49
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,14
	DAD SP
	SPHL
	LXI H,12-.111
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,7
	DAD D
	MOV E,M
	MVI D,0
	LXI H,77
	CALL .eq##
	JZ .112
	LXI H,0
	RET
.112:
	LXI H,1
	RET
.111 EQU 0
	PUBLIC getdph_
getdph_:	CALL .zsav##
	DW .113
	LHLD .31
	MOV E,M
	MVI D,0
	XCHG
	MOV A,L
	STA .32
	LXI H,12-.113
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	seldisk_
	CALL seldisk_
	POP D
	SHLD .33
	LHLD .33
	MOV A,H
	ORA L
	JNZ .114
	LDA .32
	MOV L,A
	MVI H,0
	PUSH H
	FUNC	seldisk_
	CALL seldisk_
	POP D
	JNZ .115
	LXI H,.110+0
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
.115:
	LDA .32
	MOV L,A
	MVI H,0
	PUSH H
	LHLD .31
	POP D
	MOV M,E
	LXI H,0
	RET
.114:
	LHLD .33
	LXI D,10
	DAD D
	MOV E,M
	INX H
	MOV D,M
	LXI H,-16
	DAD D
	SHLD .34
	LHLD .33
	RET
.113 EQU 0
.110:
	DB 42,42,42,69,114,114,111,114,58,32,100,101,102,97,117
	DB 108,116,32,100,114,105,118,101,32,114,101,115,101,108,101
	DB 99,116,105,111,110,32,102,97,105,108,117,114,101,10,0
	PUBLIC GetAssig_
GetAssig_:	CALL .zsav##
	DW .117
	LXI H,12-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	getdph_
	CALL getdph_
	POP D
	JNZ .118
	LXI H,1
	RET
.118:
	LXI H,12-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	POP D
	MOV M,E
	LXI H,8
	PUSH H
	LHLD .34
	LXI D,5
	DAD D
	PUSH H
	LXI H,18-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,127
	PUSH H
	LXI H,16-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	POP D
	PUSH H
	MOV L,M
	MVI H,0
	CALL .an##
	XCHG
	POP H
	MOV M,E
	LHLD .34
	LXI D,18
	DAD D
	MOV E,M
	MVI D,0
	XCHG
	DCX H
	DCX H
	DCX H
	PUSH H
	LHLD .34
	LXI D,21
	DAD D
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	POP D
	XCHG
	CALL .ls##
	PUSH H
	LXI H,16-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,9
	DAD D
	POP D
	MOV M,E
	INX H
	MOV M,D
	LHLD .34
	LXI D,15
	DAD D
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,16-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,12
	DAD D
	POP D
	MOV M,E
	LHLD .34
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,16-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,13
	DAD D
	POP D
	MOV M,E
	LHLD .34
	LXI D,13
	DAD D
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,16-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,14
	DAD D
	POP D
	MOV M,E
	LHLD .34
	LXI D,14
	DAD D
	MOV E,M
	MVI D,0
	PUSH D
	LXI H,16-.117
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,15
	DAD D
	POP D
	MOV M,E
	LXI H,0
	RET
.117 EQU 0
	PUBLIC nakpoll_
nakpoll_:	CALL .zsav##
	DW .119
	FUNC	userno_
	CALL userno_
	MOV A,L
	STA .20
	LDA .20
	MOV L,A
	MVI H,0
	MOV A,H
	ORA L
	JZ .121
	LHLD .15
	MOV A,H
	ORA L
	JZ .120
.121:
	RET
.120:
	LXI H,1
	SHLD .18
	FUNC	ackpoll_
	CALL ackpoll_
	RET
.119 EQU 0
	PUBLIC ackpoll_
ackpoll_:	CALL .zsav##
	DW .122
	LDA .20
	MOV L,A
	MVI H,0
	MOV A,H
	ORA L
	JZ .124
	LHLD .15
	MOV A,H
	ORA L
	JZ .123
.124:
	RET
.123:
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,40
	PUSH H
	FUNC	bioshl_
	CALL bioshl_
	POP D
	POP D
	POP D
	RET
.122 EQU 0
	PUBLIC sendnet_
sendnet_:	CALL .zsav##
	DW .125
	LHLD .15
	MOV A,H
	ORA L
	JZ .126
	LXI H,1
	XCHG
	LXI H,0-.125
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .128
.127:
	LXI H,0-.125
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
.128:
	LXI H,0-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,10
	CALL .lt##
	JZ .129
	FUNC	hd_init_
	CALL hd_init_
	CALL .nt##
	SHLD .19
	MOV A,H
	ORA L
	JZ .129
	LXI H,.116+0
	PUSH H
	FUNC	displays_
	CALL displays_
	POP D
	LXI H,1
	XCHG
	LXI H,2-.125
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .131
.130:
	LXI H,2-.125
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
.131:
	LXI H,2-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,55
	CALL .lt##
	JZ .132
	FUNC	hd_init_
	CALL hd_init_
	CALL .nt##
	SHLD .19
	MOV A,H
	ORA L
	JZ .132
	LXI H,.116+26
	PUSH H
	FUNC	displays_
	CALL displays_
	POP D
	JMP .130
.132:
	JMP .127
.129:
	LHLD .19
	MOV A,H
	ORA L
	JZ .133
	RET
.133:
	FUNC	hd_contr_
	CALL hd_contr_
	LXI D,88
	CALL .eq##
	JZ .134
	LXI H,14-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,18-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	send15_
	CALL send15_
	POP D
	POP D
	JMP .135
.134:
	LXI H,16-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	MOV E,M
	MVI D,0
	XCHG
	MOV A,L
	STA .25
	FUNC	dms_cmd_
	CALL dms_cmd_
	JNZ .136
	LXI H,1
	SHLD .19
	RET
.136:
	LXI H,14-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	DCX H
	PUSH H
	LXI H,18-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	PUSH H
	FUNC	dms_send_
	CALL dms_send_
	POP D
	POP D
	JNZ .137
	LXI H,1
	SHLD .19
	RET
.137:
.135:
	RET
.126:
	LDA .20
	MOV L,A
	MVI H,0
	MOV A,H
	ORA L
	JNZ .138
	LHLD .29
	MOV E,M
	INX H
	MOV D,M
	LXI H,106
	DAD D
	MOV E,M
	INX H
	MOV D,M
	XCHG
	SHLD .30
	LXI H,14-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	DCX H
	PUSH H
	LXI H,18-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	PUSH H
	LHLD .30
	INX H
	INX H
	PUSH H
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	LXI H,16-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	MOV E,M
	MVI D,0
	PUSH D
	LHLD .30
	INX H
	POP D
	MOV M,E
	JMP .139
.138:
	LHLD .18
	MOV A,H
	ORA L
	JZ .140
	LXI H,0
	SHLD .18
.141:
	LXI H,16-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	naksend_
	CALL naksend_
	POP D
	POP D
	POP D
	JNZ .142
	FUNC	ackpoll_
	CALL ackpoll_
	LDA .21
	MOV L,A
	MVI H,0
	PUSH H
	LXI H,.116+29
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	POP D
	JMP .141
.142:
	JMP .143
.140:
	LXI H,16-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.125
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	sendagai_
	CALL sendagai_
	POP D
	POP D
	POP D
.143:
.139:
	RET
.125 EQU -4
.116:
	DB 42,42,32,119,97,105,116,105,110,103,32,102,111,114,32
	DB 104,97,114,100,32,100,105,115,107,36,0,46,36,0,42
	DB 119,97,105,116,105,110,103,32,37,120,42,10,0
	PUBLIC recnet_
recnet_:	CALL .zsav##
	DW .145
	LHLD .15
	MOV A,H
	ORA L
	JZ .146
	LHLD .19
	MOV A,H
	ORA L
	JZ .147
	LXI H,0
	SHLD .19
	LXI H,1
	RET
.147:
	FUNC	hd_contr_
	CALL hd_contr_
	LXI D,88
	CALL .eq##
	JZ .148
	LXI H,12-.145
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.145
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	rec15_
	CALL rec15_
	POP D
	POP D
	JMP .149
.148:
	FUNC	dms_res_
	CALL dms_res_
	JNZ .150
	LXI H,1
	RET
.150:
	LXI H,12-.145
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,.25+8
	PUSH H
	LXI H,18-.145
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
.149:
	LXI H,0
	RET
.146:
	LDA .20
	MOV L,A
	MVI H,0
	MOV A,H
	ORA L
	JNZ .151
.152:
	LHLD .30
	INX H
	mov a,m
	ora a
	JZ .153
	JMP .152
.153:
	LXI H,12-.145
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LHLD .30
	INX H
	INX H
	PUSH H
	LXI H,18-.145
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	JMP .154
.151:
	LXI H,12-.145
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	SHLD .22
	LXI H,14-.145
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	SHLD .23
	FUNC	receive_
	CALL receive_
	JZ .155
	LDA .21
	MOV L,A
	MVI H,0
	PUSH H
	LXI H,.144+0
	PUSH H
	FUNC	printf_
	CALL printf_
	POP D
	POP D
	LXI H,1
	RET
.155:
.154:
	LXI H,0
	RET
.145 EQU -1
.144:
	DB 42,110,101,116,32,101,114,114,111,114,32,37,120,42,0
	PUBLIC send15_
send15_:	CALL .zsav##
	DW .157
	LXI H,.26
	PUSH H
	FUNC	lclhdsta_
	CALL lclhdsta_
	POP D
	LXI H,0
	MOV A,L
	STA .28+3
	LDA .28+3
	MOV L,A
	MVI H,0
	PUSH H
	LXI H,0
	PUSH H
	FUNC	P0Assign_
	CALL P0Assign_
	POP D
	POP D
	LXI H,192
	PUSH H
	LHLD .34
	LXI D,14
	DAD D
	POP D
	MOV M,E
	LXI H,.27
	PUSH H
	FUNC	setdma_
	CALL setdma_
	POP D
	LXI H,0
	PUSH H
	FUNC	settrk_
	CALL settrk_
	POP D
	LXI H,0
	PUSH H
	FUNC	seldisk_
	CALL seldisk_
	POP D
.160:
	LDA .28+3
	MOV L,A
	MVI H,0
	DAD H
	DAD H
	DAD H
	DAD H
	DAD H
	LXI D,.26+8
	DAD D
	MOV E,M
	MVI D,0
	MOV A,D
	ORA E
	JZ .158
	LDA .28+3
	MOV L,A
	MVI H,0
	PUSH H
	LHLD .34
	LXI D,13
	DAD D
	POP D
	MOV M,E
	LXI H,0
	MOV A,L
	STA .28+1
	LXI H,121
	XCHG
	LXI H,0-.157
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .162
.161:
	LXI H,0-.157
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
.162:
	LXI H,0-.157
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,128
	CALL .le##
	JZ .163
	LXI H,0-.157
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	setsect_
	CALL setsect_
	POP D
	FUNC	biosread_
	CALL biosread_
	LXI H,0
	XCHG
	LXI H,2-.157
	DAD SP
	MOV M,E
	INX H
	MOV M,D
	JMP .165
.164:
	LXI H,2-.157
	DAD SP
	PUSH H
	MOV A,M
	INX H
	MOV H,M
	MOV L,A
	INX H
	XCHG
	POP H
	MOV M,E
	INX H
	MOV M,D
	XCHG
	DCX H
.165:
	LXI H,2-.157
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	LXI H,7
	CALL .le##
	JZ .166
	LXI H,14-.157
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	DCX H
	PUSH H
	LXI H,14-.157
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	INX H
	PUSH H
	LXI H,6-.157
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	DAD H
	DAD H
	DAD H
	DAD H
	LXI D,.27+1
	DAD D
	PUSH H
	FUNC	strncmp_
	CALL strncmp_
	POP D
	POP D
	POP D
	JNZ .167
	LXI H,2-.157
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	DAD H
	DAD H
	DAD H
	DAD H
	LXI D,.27+15
	DAD D
	MOV E,M
	MVI D,0
	XCHG
	MOV A,L
	STA .28+2
	LXI H,2-.157
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	XCHG
	DAD H
	DAD H
	DAD H
	DAD H
	LXI D,.27
	DAD D
	MOV E,M
	MVI D,0
	XCHG
	MOV A,L
	STA .28
	LXI H,0
	SHLD .19
	RET
.167:
	LDA .28+1
	MOV L,A
	MVI H,0
	INX H
	MOV A,L
	STA .28+1
	DCX H
	JMP .164
.166:
	JMP .161
.163:
.158:
	LDA .28+3
	MOV L,A
	MVI H,0
	INX H
	MOV A,L
	STA .28+3
	DCX H
	LXI D,3
	XCHG
	CALL .lt##
	JNZ .160
.159:
	LXI H,1
	SHLD .19
	FUNC	P0Unassi_
	CALL P0Unassi_
	RET
.157 EQU -4
	PUBLIC rec15_
rec15_:	CALL .zsav##
	DW .168
	FUNC	P0Unassi_
	CALL P0Unassi_
	LXI H,14-.168
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,.28
	PUSH H
	LXI H,16-.168
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	FUNC	blockmv_
	CALL blockmv_
	POP D
	POP D
	POP D
	RET
.168 EQU 0
;
; Code time critical routines into assemble:
;
BASE equ 0
;
sendnet: jmp 0
recnet: jmp 0
nakpoll: jmp 0
 common /netcode_/
netcode: db 0
 common /fastuser/
recuser: db 0
 common /reclen_/
reclen: dw 0
 common /recmsg_/
recmsg: dw 0
;
; NAKSEND - codes the nakpoll and sendnet together - needed to ensure
; that the send will be done in time for the z816 case
;
 cseg
 public naksend_
naksend_:
 push b
 lhld BASE+1
 xchg
 lxi h,6ch
 dad d
 lxi d,sendnet
 lxi b,9
; ldir
 db 0edh
 db 0b0h
 call nakpoll
 sta netcode
; bit 0,a
 db 0cbh
 db 047h
 jnz .cont
; xra a ; force fail
 pop b
 ret
;
; SENDAGAI - assumes nakpoll in progress, alternat entrypoi is used
; above after nakpoll succeeds
;
 public sendagai
sendagai:
 push b
.cont:
 lxi h,4
 dad sp
 mov a,m
 inx h
 inx h
 mov c,m
 inx h
 mov b,m
 inx h
 mov e,m
 inx h
 mov d,m
 xchg
 call sendnet
 ori 1 ; force success
 pop b
 ret
;
; RECEIVE - receives message from network
;
 public receive_
receive_:
 push b
 lda recuser
; lbcd reclen
 db 0edh
 db 04bh
 dw reclen
; lhld recmsg ;assume recmsg set up (caller beware)
 call recnet
 sta netcode
 ani 0e1h
 cpi 080h
; zero is success here!
 pop b
 ret
	PUBLIC wboot_
wboot_:	CALL .zsav##
	DW .169
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,1
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.169 EQU 0
	PUBLIC seldisk_
seldisk_:	CALL .zsav##
	DW .170
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.170
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,9
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.170 EQU 0
	PUBLIC settrk_
settrk_:	CALL .zsav##
	DW .171
	LXI H,0
	PUSH H
	LXI H,14-.171
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,10
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.171 EQU 0
	PUBLIC setsect_
setsect_:	CALL .zsav##
	DW .172
	LXI H,0
	PUSH H
	LXI H,14-.172
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,11
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.172 EQU 0
	PUBLIC setdma_
setdma_:	CALL .zsav##
	DW .173
	LXI H,0
	PUSH H
	LXI H,14-.173
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,12
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.173 EQU 0
	PUBLIC biosread_
biosread_:	CALL .zsav##
	DW .174
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,13
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.174 EQU 0
	PUBLIC bioswrit_
bioswrit_:	CALL .zsav##
	DW .175
	LXI H,0
	PUSH H
	LXI H,14-.175
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,14
	PUSH H
	FUNC	bios_
	CALL bios_
	POP D
	POP D
	POP D
	RET
.175 EQU 0
	PUBLIC sectran_
sectran_:	CALL .zsav##
	DW .176
	LXI H,0
	PUSH H
	LXI H,16-.176
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,16-.176
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,16
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.176 EQU 0
	PUBLIC netlock_
netlock_:	CALL .zsav##
	DW .177
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,32
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.177 EQU 0
	PUBLIC cpmmap_
cpmmap_:	CALL .zsav##
	DW .178
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,33
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.178 EQU 0
	PUBLIC netunloc_
netunloc_:	CALL .zsav##
	DW .179
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,34
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.179 EQU 0
	PUBLIC lclhdsta_
lclhdsta_:	CALL .zsav##
	DW .180
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.180
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,44
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.180 EQU 0
	PUBLIC hdrest_
hdrest_:	CALL .zsav##
	DW .181
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.181
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,48
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.181 EQU 0
	PUBLIC hdstat_
hdstat_:	CALL .zsav##
	DW .182
	LXI H,0
	PUSH H
	LXI H,0
	PUSH H
	LXI H,16-.182
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,0
	PUSH H
	LXI H,45
	PUSH H
	FUNC	dmsbiosh_
	CALL dmsbiosh_
	XCHG
	LXI H,10
	DAD SP
	SPHL
	XCHG
	RET
.182 EQU 0
	PUBLIC displays_
displays_:	CALL .zsav##
	DW .183
	LXI H,12-.183
	DAD SP
	MOV E,M
	INX H
	MOV D,M
	PUSH D
	LXI H,9
	PUSH H
	FUNC	bdos_
	CALL bdos_
	POP D
	POP D
	RET
.183 EQU 0
	COMMON /.lnprm/
	DS 4
	END
